<script setup lang="ts">
import NavBar from '@/components/UI/NavBar.vue'
import Footer from '@/components/UI/Footer.vue'
import Hero from './components/UI/Hero.vue'
import { RouterLink, RouterView } from 'vue-router'
</script>

<template>
  <div class="app">
    <NavBar />
    <Hero />
    <footer>
      <Footer />
    </footer>
  </div>
</template>

<style scoped>
.app {
  display: flex;
  flex-direction: column;
  line-height: 1.5;
  min-height: 100vh;
}

nav a.router-link-exact-active {
  color: var(--color-text);
}

nav a.router-link-exact-active:hover {
  background-color: transparent;
}

/* nav a {
  display: inline-block;
  padding: 0 1rem;
  border-left: 1px solid var(--color-border);
}

nav a:first-of-type {
  border: 0;
} */

@media (min-width: 1024px) {
  .app {
    display: flex;
    width: 100%;
    place-items: center;
    padding-right: calc(var(--section-gap) / 2);
  }

  /* Styles pour les écrans de taille moyenne (tablettes, ordinateurs portables) */
  /* main {
    display: flex;
    flex-wrap: wrap;
  } */
}
</style>
